/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.sun.tutorial.javaee.dukesbank.request;

import java.util.Map;
import javax.ejb.Remote;

/**
 *
 * @author Dani
 */
@Remote
public interface StatisticsCounter {

    int customersNumber();

    String mostCustomerCity();

    int accountsNumber();

    int transactionsNumber();

    double totalBalance();

    Map<String, Integer> noOfAccountsByType();

    Map<Long, Integer> noOfTransactionsOfAccounts();

    public void init();
    
}
